Search
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.HooksSearch.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.HooksSearchResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.hooksSearch.search();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/hooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/hooks"
payload = {
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [{ "id": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pageSize: 123,
pageToken: '<string>',
query: '<string>',
refs: [{id: '<string>'}]
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/hooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"builtinPattern": {
"creditCardBlocking": {},
"piiRedaction": {
"redactFields": [
"<string>"
],
"replacement": "<string>"
},
"queryScopeLimit": {
"fields": [
"<string>"
],
"maxLimit": 123
},
"sensitiveFileGuard": {
"blockedDirectories": [
"<string>"
],
"blockedPatterns": [
"<string>"
]
},
"writeAuthorization": {
"blockedClassifications": [],
"businessHours": {
"days": [
123
],
"end": "<string>",
"start": "<string>",
"timezone": "<string>"
}
}
},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"filter": {
"celExpression": "<string>"
},
"function": {
"commitId": "<string>",
"functionId": "<string>"
},
"id": "<string>",
"priority": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}Hook
Search
Invokes the c1.api.hooks.v1.HooksSearch.Search method.
POST
/
api
/
v1
/
search
/
hooks
Search
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.HooksSearch.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.HooksSearchResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.hooksSearch.search();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
Was this page helpful?
⌘I